package com.ssj.bean.weixin.libmy.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;


@Entity
@Table(name="tb_lib_book_pl")
public class TbLibBookPl extends BaseEntity {

	/**
	 * user_id varchar(36) not null comment '评论人useri',
	mp3_url varchar(500)  comment '语音路径',
	img_url varchar(500) comment '图片路径',
	pl_text varchar(2000) comment '评论文字',
	pl_lat varchar(36) comment '发表人地理位置纬度',
	pl_lng varchar(36) comment '发表人地理位置经度',
	pl_address varchar(400) comment '发表人地理位置',
	create_time datetime comment '发表时间',
	book_info_id varchar(36) comment '书籍id',
	 */
	private static final long serialVersionUID = 1L;
	
	private String userId;
	private String mp3Url;
	private String imgUrl;
	private String plText;
	private String plLng;
	private String plLat;
	private String plAddress;
	private Date createTime;
	private String bookInfoId;
	private String isbn13;
	private Integer priseNum;
	private String nickName;
	private String photo;
	private String vipIds;
	
	
	
	public String getVipIds() {
		return vipIds;
	}
	public void setVipIds(String vipIds) {
		this.vipIds = vipIds;
	}
	public String getNickName() {
		return nickName;
	}
	public void setNickName(String nickName) {
		this.nickName = nickName;
	}
	public String getPhoto() {
		return photo;
	}
	public void setPhoto(String photo) {
		this.photo = photo;
	}
	public String getUserId() {
		return userId;
	}
	public void setUserId(String userId) {
		this.userId = userId;
	}
	@Column(name="mp3_url")
	public String getMp3Url() {
		return mp3Url;
	}
	public void setMp3Url(String mp3Url) {
		this.mp3Url = mp3Url;
	}
	public String getImgUrl() {
		return imgUrl;
	}
	public void setImgUrl(String imgUrl) {
		this.imgUrl = imgUrl;
	}
	public String getPlText() {
		return plText;
	}
	public void setPlText(String plText) {
		this.plText = plText;
	}
	public String getPlLng() {
		return plLng;
	}
	public void setPlLng(String plLng) {
		this.plLng = plLng;
	}
	public String getPlAddress() {
		return plAddress;
	}
	public void setPlAddress(String plAddress) {
		this.plAddress = plAddress;
	}
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	public String getBookInfoId() {
		return bookInfoId;
	}
	public void setBookInfoId(String bookInfoId) {
		this.bookInfoId = bookInfoId;
	}
	public String getPlLat() {
		return plLat;
	}
	public void setPlLat(String plLat) {
		this.plLat = plLat;
	}
	public String getIsbn13() {
		return isbn13;
	}
	public void setIsbn13(String isbn13) {
		this.isbn13 = isbn13;
	}
	public Integer getPriseNum() {
		return priseNum;
	}
	public void setPriseNum(Integer priseNum) {
		this.priseNum = priseNum;
	}
	
	
	
	

}
